curl "https://api.stableyard.fi/v2/webhooks" \
-H "Authorization: Bearer sy_secret_*"
{
"object": "list",
"data": [
{
"object": "webhook",
"id": "wh_abc123",
"url": "https://your-app.com/webhooks/stableyard",
"events": ["payment.settled", "payment.failed"],
"createdAt": "2026-03-18T10:20:30.000Z"
}
],
"requestId": "req_abc123"
}
List all registered webhooks
curl "https://api.stableyard.fi/v2/webhooks" \
-H "Authorization: Bearer sy_secret_*"
{
"object": "list",
"data": [
{
"object": "webhook",
"id": "wh_abc123",
"url": "https://your-app.com/webhooks/stableyard",
"events": ["payment.settled", "payment.failed"],
"createdAt": "2026-03-18T10:20:30.000Z"
}
],
"requestId": "req_abc123"
}
sy_secret_*
curl "https://api.stableyard.fi/v2/webhooks" \
-H "Authorization: Bearer sy_secret_*"
{
"object": "list",
"data": [
{
"object": "webhook",
"id": "wh_abc123",
"url": "https://your-app.com/webhooks/stableyard",
"events": ["payment.settled", "payment.failed"],
"createdAt": "2026-03-18T10:20:30.000Z"
}
],
"requestId": "req_abc123"
}